# Categories

***Classification information is the resource information of the system, and the existing classification tag can be bound with a certain offer, and mark an offer in types (categroy means the tag information).***

## Available methods <a href="#available-methods" id="available-methods"></a>

| Methods    | HTTP method | Endpoint                                                                                                                                                   | Description                                       |
| ---------- | ----------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------- |
| **Update** |             |                                                                                                                                                            |                                                   |
|            | PUT         | [/v1/offers/{offer\_id}/categories/{category\_ids}](/api-documentation/networkapi/offers/sub-resources/categories/update_the_settings_for_the_category.md) | Add the settings for the category                 |
| **Get**    |             |                                                                                                                                                            |                                                   |
|            | GET         | [/v1/offers/{offer\_id}/categories](/api-documentation/networkapi/offers/sub-resources/categories/get_information_about_a_specific_offers_category.md)     | Get information about a specific offer’s category |
| **Delete** |             |                                                                                                                                                            |                                                   |
|            | DELETE      | [/v1/offers/{offer\_id}/categories/{category\_id}](/api-documentation/networkapi/offers/sub-resources/categories/delete_a_category_of_offer.md)            | Delete a category of offer                        |
|            | DELETE      | [/v1/offers/{offer\_id}/categories](/api-documentation/networkapi/offers/sub-resources/categories/delete_the_category_of_offer.md)                         | Delete the category of offer                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/offers/sub-resources/categories.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
